<template lang="html">
  <modal class="sign-up-modal" name="signup-modal"
  :width="691"
  :height="708"
  >
      <div class="ui-signin-modal__container">
          <div class="ui-signin-form">
              <p class="text-uppercase form-title">Регистрация</p>
              <div class="ui-signin-input-info">
                <form class="" action="#" method="post">
                  <div class="ui-signin-login">
                      <p>Ваше имя</p>
                      <input type="text" name="login" required>
                  </div>
                  <div class="ui-signin-password">
                      <p>Пароль</p>
                      <input type="password" name="pass" required>
                  </div>
                  <div class="ui-signin-password">
                      <p>Подтвердить пароль</p>
                      <input type="password" name="pass" required>
                  </div>
                  <div class="ui-signin-password">
                      <p>E-mail</p>
                      <input type="email" name="pass" required>
                  </div>
                  <div class="ui-signin-password">
                      <p>Телефон</p>
                      <masked-input mask="\+\38 (0##) ##-##-###"
                      required />
                  </div>
                </form>
              </div>
              <div class="ui-other-buttons"
              >
                <ui-button
                v-for="(title, key) in signup"
                :key="key"
                :title="title"
                ></ui-button>
                  <ui-divider></ui-divider>
                <ui-button
                v-for="(title, key) in signin"
                :key="key"
                :title="title"
                @click.native="loginModal"
                ></ui-button>
              </div>
          </div>
          <ui-modal-close-button></ui-modal-close-button>
          <ui-terms></ui-terms>
      </div>
  </modal>

</template>

<script>
import MaskedInput from 'vue-masked-input'

export default {
    components: {
      MaskedInput
    },
    props: ['title', 'nameModal'],
    data () {
        return {
          signup: [
            {
              title: 'Регистрация',
              nameModal: 'terms-modal'
            }
          ],
          signin: [
            {
              title: 'Вход',
              nameModal: 'signin-modal'
            }
          ]
        }
    },
    methods: {
      loginModal() {
        this.$modal.hide('signup-modal');
        this.$modal.show('signin-modal');
      }
    }
}
</script>

<style lang="scss" scoped>
    .ui-button {
      margin-top: 0px!important;
      margin-right: 0px!important;
    }
    .ui-signin-close-button {
      margin-top: 30px;
    }
    .ui-signin-modal__container {
        display: flex;
        padding: 10px 30px 10px 73px;

        background-image: url(../../assets/img/home/bg-signup.svg);
        background-position: center;
        background-size: cover;

        height: 100%;

        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.45);

        .ui-signin-form {
          width: 100%;
          .form-title {
            text-align: center;
            text-transform: uppercase;
            font-size: 32px;
            font-weight: bold;
            font-family: sans-serif;

            letter-spacing: -2px;
            margin: 36px 11px 33px 0;
          }
          .ui-other-buttons {
            display: flex;
            flex-direction: column;
            align-items: center;

            margin: 41px 0 20px 0;
            .block-or {
              width: 100%;
              text-align: center;

              p:before {
                content: '';
                width: 100%;
                position: absolute;
                border-top: 2px;
                width: 20px;
              }
              p {
                width: 100%;
              }
            }
          }
        }
        .ui-signin-input-info {
          .ui-signin-login {
            width: 100%;
            p {
              font-size: 16px;
              margin: 22px 0 2px 0;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
          .ui-signin-password {
            margin-top: -8px;
            p {
              margin: 22px 0 2px 0;
              font-size: 16px;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
        }
    }
</style>
